library etcd;

import 'dart:async';
import 'dart:convert';

import 'package:fixnum/fixnum.dart';
import 'package:grpc/grpc.dart';
import 'package:protobuf/protobuf.dart';
import 'generated/etcd/etcdserver/etcdserverpb/rpc.pbgrpc.dart';
import 'generated/etcd/mvcc/mvccpb/kv.pb.dart';

// -------- base
part 'src/EtcdClient.dart';
part 'src/_EtcdSubClient.dart';
part 'src/_EtcdResponse.dart';
part 'src/_EtcdStreamCache.dart';

// -------- kv api
part 'src/kv/_EtcdKVResponse.dart';
part 'src/kv/KVClient.dart';
part 'src/kv/EtcdKeyValue.dart';
part 'src/kv/EtcdPutResponse.dart';
part 'src/kv/EtcdRangeResponse.dart';
part 'src/kv/EtcdDeleteRangeResponse.dart';

// -------- lease api
part 'src/lease/_EtcdLeaseResponse.dart';
part 'src/lease/LeaseClient.dart';
part 'src/lease/EtcdLeaseGrantResponse.dart';
part 'src/lease/EtcdLeaseKeepAliveResponse.dart';
part 'src/lease/EtcdLeaseTimeToLiveResponse.dart';
part 'src/lease/EtcdLeaseRevokeResponse.dart';
part 'src/lease/EtcdLeaseListResponse.dart';

// -------- watch api
part 'src/watch/_EtcdWatchResponse.dart';
part 'src/watch/WatchClient.dart';
part 'src/watch/EtcdWatchResponse.dart';
part 'src/watch/EtcdWatchEvent.dart';
part 'src/watch/EtcdWatcher.dart';
